CVE-2004-0792

NameCVE-2004-0792
DescriptionDirectory traversal vulnerability in the sanitize_path function in util.c for rsync 2.6.2 and earlier, when chroot is disabled, allows attackers to read or write certain files.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-538
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
rsync (PTS)wheezy3.0.9-4fixed
jessie3.1.1-3fixed
stretch3.1.2-1fixed
buster, sid3.1.2-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
rsyncsource(unstable)2.6.2-3medium
rsyncsourcewoody2.5.5-0.6mediumDSA-538

Search for package or bug name: Reporting problems